Flecs: EcsOpaque Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
EcsOpaque Struct Reference
C API » Addons » Meta

Opaque type reflection data. More...

`#include <meta.h>`

## Public Attributes
ecs_entity_t | as_type
| Type that describes the serialized output.
ecs_meta_serialize_t | serialize
| Serialize action.
ecs_meta_serialize_member_t | serialize_member
| Serialize member action.
ecs_meta_serialize_element_t | serialize_element
| Serialize element action.
void(* | assign_bool )(void *dst, bool value)
| Assign bool value.
void(* | assign_char )(void *dst, char value)
| Assign char value.
void(* | assign_int )(void *dst, int64_t value)
| Assign int value.
void(* | assign_uint )(void *dst, uint64_t value)
| Assign unsigned int value.
void(* | assign_float )(void *dst, double value)
| Assign float value.
void(* | assign_string )(void *dst, const char *value)
| Assign string value.
void(* | assign_entity )(void *dst, ecs_world_t *world, ecs_entity_t entity)
| Assign entity value.
void(* | assign_id )(void *dst, ecs_world_t *world, ecs_id_t id)
| Assign (component) id value.
void(* | assign_null )(void *dst)
| Assign null value.
void(* | clear )(void *dst)
| Clear collection elements.
void *(* | ensure_element )(void *dst, size_t elem)
| Ensure & get collection element.
void *(* | ensure_member )(void *dst, const char *member)
| Ensure & get element.
size_t(* | count )(const void *dst)
| Return number of elements.
void(* | resize )(void *dst, size_t count)
| Resize to number of elements.

## Detailed Description

Opaque type reflection data.

An opaque type is a type with an unknown layout that can be mapped to a type known to the reflection framework. See the opaque type reflection examples.

Definition at line 405 of file meta.h.

## Member Data Documentation

## ◆ as_type

ecs_entity_t EcsOpaque::as_type

Type that describes the serialized output.

Definition at line 406 of file meta.h.

## ◆ assign_bool

void(* EcsOpaque::assign_bool) (void *dst, bool value)

Assign bool value.

Definition at line 418 of file meta.h.

## ◆ assign_char

void(* EcsOpaque::assign_char) (void *dst, char value)

Assign char value.

Definition at line 423 of file meta.h.

## ◆ assign_entity

void(* EcsOpaque::assign_entity) (void *dst, ecs_world_t *world, ecs_entity_t entity)

Assign entity value.

Definition at line 448 of file meta.h.

## ◆ assign_float

void(* EcsOpaque::assign_float) (void *dst, double value)

Assign float value.

Definition at line 438 of file meta.h.

## ◆ assign_id

void(* EcsOpaque::assign_id) (void *dst, ecs_world_t *world, ecs_id_t id)

Assign (component) id value.

Definition at line 454 of file meta.h.

## ◆ assign_int

void(* EcsOpaque::assign_int) (void *dst, int64_t value)

Assign int value.

Definition at line 428 of file meta.h.

## ◆ assign_null

void(* EcsOpaque::assign_null) (void *dst)

Assign null value.

Definition at line 460 of file meta.h.

## ◆ assign_string

void(* EcsOpaque::assign_string) (void *dst, const char *value)

Assign string value.

Definition at line 443 of file meta.h.

## ◆ assign_uint

void(* EcsOpaque::assign_uint) (void *dst, uint64_t value)

Assign unsigned int value.

Definition at line 433 of file meta.h.

## ◆ clear

void(* EcsOpaque::clear) (void *dst)

Clear collection elements.

Definition at line 464 of file meta.h.

## ◆ count

size_t(* EcsOpaque::count) (const void *dst)

Return number of elements.

Definition at line 478 of file meta.h.

## ◆ ensure_element

void *(* EcsOpaque::ensure_element) (void *dst, size_t elem)

Ensure & get collection element.

Definition at line 468 of file meta.h.

## ◆ ensure_member

void *(* EcsOpaque::ensure_member) (void *dst, const char *member)

Ensure & get element.

Definition at line 473 of file meta.h.

## ◆ resize

void(* EcsOpaque::resize) (void *dst, size_t count)

Resize to number of elements.

Definition at line 482 of file meta.h.

## ◆ serialize

ecs_meta_serialize_t EcsOpaque::serialize

Serialize action.

Definition at line 407 of file meta.h.

## ◆ serialize_element

ecs_meta_serialize_element_t EcsOpaque::serialize_element

Serialize element action.

Definition at line 409 of file meta.h.

## ◆ serialize_member

ecs_meta_serialize_member_t EcsOpaque::serialize_member

Serialize member action.

Definition at line 408 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h